# Uses of Enum
org.apache.qpid.proton.engine.Sasl.SaslState

Packages that use Sasl.SaslState
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Sasl.SaslState in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Sasl.SaslState
Modifier and Type
Method
Description
`Sasl.SaslState`
Sasl.`getState()`
Access the current state of the layer.
`static Sasl.SaslState`
Sasl.SaslState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sasl.SaslState[]`
Sasl.SaslState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Sasl.SaslState in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Sasl.SaslState
Modifier and Type
Method
Description
`Sasl.SaslState`
SaslImpl.`getState()`